# Uses of Class
io.dapr.client.domain.GetBulkStateRequest

Packages that use GetBulkStateRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of GetBulkStateRequest in io.dapr.client

Methods in io.dapr.client with parameters of type GetBulkStateRequest
Modifier and Type
Method
Description
`<T> reactor.core.publisher.Mono<List<State<T>>>`
DaprClient.`getBulkState(GetBulkStateRequest request, TypeRef<T> type)`
Retrieve bulk States based on their keys.
`<T> reactor.core.publisher.Mono<List<State<T>>>`
DaprClientImpl.`getBulkState(GetBulkStateRequest request, TypeRef<T> type)`
Retrieve bulk States based on their keys.

## Uses of GetBulkStateRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return GetBulkStateRequest
Modifier and Type
Method
Description
`GetBulkStateRequest`
GetBulkStateRequest.`setMetadata(Map<String,String> metadata)`
`GetBulkStateRequest`
GetBulkStateRequest.`setParallelism(int parallelism)`